# Record Class SyTextSelectionServiceType.SyTextSelectionIsSelected

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.text.SyTextSelectionServiceType.SyTextSelectionIsSelected

Record Components:
  `component` - The component
  `selection` - The selection

All Implemented Interfaces:
  `SyTextSelectionServiceType.SyTextSelectionStatusType`

Enclosing interface:
  `SyTextSelectionServiceType`

public static record SyTextSelectionServiceType.SyTextSelectionIsSelected(SyComponentReadableType component, SyTextSelection selection) extends Record implements SyTextSelectionServiceType.SyTextSelectionStatusType
A piece of text is selected in the given component.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyTextSelectionIsSelected(SyComponentReadableType component, SyTextSelection selection)`
  A piece of text is selected in the given component.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SyComponentReadableType`
  `component()`
  Returns the value of the `component` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `SyTextSelection`
  `selection()`
  Returns the value of the `selection` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyTextSelectionIsSelected

    public SyTextSelectionIsSelected(SyComponentReadableType component, SyTextSelection selection)
    A piece of text is selected in the given component.
    Parameters:
      `component` - The component
      `selection` - The selection

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### component

    public SyComponentReadableType component()
    Returns the value of the `component` record component.
    Returns:
      the value of the `component` record component

  - ### selection

    public SyTextSelection selection()
    Returns the value of the `selection` record component.
    Returns:
      the value of the `selection` record component